the error using incorrect version of vivado to systhesis designstart

I have downloaded designstart cortex m3 edition from arm,but when i open the vivado project,it said i need future edition of vivado,or save it as another project.After saving it as another project,there occurred lots of error when systhesis the project.I viewed the same error on forum,they said these error may occur when use incorrect version.But i dont want to install another version of vivado,what should i do?Or maybe it is not the error associated with version,i have done something wrong when using the designstart project?